import { OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { SnackBarService } from './snack-bar.service';
import * as i0 from "@angular/core";
export declare class SnackBarComponent implements OnInit, OnDestroy {
    private snackbarService;
    show: boolean;
    message: string;
    icon: string;
    type: string;
    icons: any;
    snackbarSubscription: Subscription;
    constructor(snackbarService: SnackBarService);
    ngOnInit(): void;
    setAutoClose(): void;
    close(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SnackBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SnackBarComponent, "app-snack-bar", never, {}, {}, never, never, false, never>;
}
